Unable to load Info.plist

tabliertablier Membre
17 nov. modifié dans Xcode et Developer Tools #1

avec Xcode 10.1 et Mojave 10.14.1, quand je créer une application Obj-C, la compilation passe correctement (sucess) mais l'erreur
****018-11-17 19:59:33.826197+0100 MchipCafé[1976:127974] [default] Unable to load Info.plist exceptions (eGPUOverrides)****
s'affiche et j'obtiens des insanités au lancement de l'application qui ne marche pas, bien sur !!
En passant par Google j'ai vu que c'est une erreur connu, mais aucune des modifications conseillées ne marchent !
y a t-il une solution ?

Réponses

  • @tablier a dit :
    avec Xcode 10.1 et Mojave 10.14.1, quand je créer une application Obj-C, la compilation passe correctement (sucess) mais l'erreur
    ****018-11-17 19:59:33.826197+0100 MchipCafé[1976:127974] [default] Unable to load Info.plist exceptions (eGPUOverrides)****
    s'affiche et j'obtiens des insanités au lancement de l'application qui ne marche pas, bien sur !!
    En passant par Google j'ai vu que c'est une erreur connu, mais aucune des modifications conseillées ne marchent !
    y a t-il une solution ?

    Hello,
    C'est juste un avertissement, cela n'empêche pas le lancement des apps
    Affiche nous ton log pour voir ce qui crashe ton application

  • Joanna CarterJoanna Carter Membre, Modérateur

    Pour cacher ce genre d'avertissements, il faut éditer le "scheme" pour le projet avec Environment Variables :

  • devulderdevulder Membre
    18 nov. modifié #4

    @Joanna Carter a dit :
    Pour cacher ce genre d'avertissements, il faut éditer le "scheme" pour le projet avec Environment Variables :

    Merci pour le truc!

    Edit:

    Zut ca marche pas sous Mojave & XCode 10.1, faudra attendre que Apple s'en occupe dans les prochaines bétas

  • tabliertablier Membre

    J'ai reconstruit le projet. J'ai toujours des avertissements, mais plus de plantage. Un de mes problèmes vient des PasteboardTypes dont certains sont obsolètes et d'autres ne marchent que depuis 10.13. je souhaite faire une application qui marche sous 10.9 et au-dessus !
    Le premier avertissement apparait au lancement les deux autres lors d'un drag & drop.

Connectez-vous ou Inscrivez-vous pour répondre.